Package org.opentcs.access.rmi.services

# Interface RegistrationName

    public interface RegistrationName

Defines the names used for binding the remote services in the RMI registry.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `REMOTE_DISPATCHER_SERVICE` | The name the `RemoteDispatcherService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_KERNEL_CLIENT_PORTAL` | The name the `RemoteKernelServicePortal` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_NOTIFICATION_SERVICE` | The name the `RemoteNotificationService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_PERIPHERAL_DISPATCHER_SERVICE` | The name the `RemotePeripheralDispatcherService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_PERIPHERAL_JOB_SERVICE` | The name the `RemotePeripheralJobService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_PERIPHERAL_SERVICE` | The name the `RemotePeripheralService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_PLANT_MODEL_SERVICE` | The name the `RemotePlantModelService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_QUERY_SERVICE` | The name the `RemoteQueryService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_ROUTER_SERVICE` | The name the `RemoteRouterService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_SCHEDULER_SERVICE` | The name the `RemoteSchedulerService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_TRANSPORT_ORDER_SERVICE` | The name the `RemoteTransportOrderService` registers itself with a RMI registry.
  `static java.lang.String` | `REMOTE_VEHICLE_SERVICE` | The name the `RemoteVehicleService` registers itself with a RMI registry.

- ## Field Details

  - ### REMOTE_KERNEL_CLIENT_PORTAL

    static final java.lang.String REMOTE_KERNEL_CLIENT_PORTAL
    The name the `RemoteKernelServicePortal` registers itself with a RMI registry.

  - ### REMOTE_PLANT_MODEL_SERVICE

    static final java.lang.String REMOTE_PLANT_MODEL_SERVICE
    The name the `RemotePlantModelService` registers itself with a RMI registry.

  - ### REMOTE_TRANSPORT_ORDER_SERVICE

    static final java.lang.String REMOTE_TRANSPORT_ORDER_SERVICE
    The name the `RemoteTransportOrderService` registers itself with a RMI registry.

  - ### REMOTE_VEHICLE_SERVICE

    static final java.lang.String REMOTE_VEHICLE_SERVICE
    The name the `RemoteVehicleService` registers itself with a RMI registry.

  - ### REMOTE_NOTIFICATION_SERVICE

    static final java.lang.String REMOTE_NOTIFICATION_SERVICE
    The name the `RemoteNotificationService` registers itself with a RMI registry.

  - ### REMOTE_ROUTER_SERVICE

    static final java.lang.String REMOTE_ROUTER_SERVICE
    The name the `RemoteRouterService` registers itself with a RMI registry.

  - ### REMOTE_DISPATCHER_SERVICE

    static final java.lang.String REMOTE_DISPATCHER_SERVICE
    The name the `RemoteDispatcherService` registers itself with a RMI registry.

  - ### REMOTE_SCHEDULER_SERVICE

    static final java.lang.String REMOTE_SCHEDULER_SERVICE
    The name the `RemoteSchedulerService` registers itself with a RMI registry.

  - ### REMOTE_QUERY_SERVICE

    static final java.lang.String REMOTE_QUERY_SERVICE
    The name the `RemoteQueryService` registers itself with a RMI registry.

  - ### REMOTE_PERIPHERAL_SERVICE

    static final java.lang.String REMOTE_PERIPHERAL_SERVICE
    The name the `RemotePeripheralService` registers itself with a RMI registry.

  - ### REMOTE_PERIPHERAL_JOB_SERVICE

    static final java.lang.String REMOTE_PERIPHERAL_JOB_SERVICE
    The name the `RemotePeripheralJobService` registers itself with a RMI registry.

  - ### REMOTE_PERIPHERAL_DISPATCHER_SERVICE

    static final java.lang.String REMOTE_PERIPHERAL_DISPATCHER_SERVICE
    The name the `RemotePeripheralDispatcherService` registers itself with a RMI registry.